@echo off

REM ========================================================================
REM Integration Tester integration with HP ALM Quality Center
REM installation script. This script is meant be be executed in the HP ALM 
REM client directory which also must contain the other components in the
REM integration package.
REM 
REM The following arguments may be used with this script:
REM     help    - show the usage 
REM     unreg   - unregister the components instead of registering them
REM     verbose - show the regsvr32 popup dialog with the status of each call 
REM ========================================================================

set VERBOSE=/s
set UNREG=
set SERVER=regserver
set MESSAGE=Registering

:argCheck
if "%1"=="" goto gotAllArgs
if "%1"=="verbose" goto setVerbose
if "%1"=="unreg" goto setUnreg
if "%1"=="help" goto Help
shift
goto argCheck

:setVerbose
set VERBOSE=
shift
goto argCheck

:setUnreg
set UNREG=/u
set SERVER=unregserver
set MESSAGE=Unregistering
shift
goto argCheck

:Help
echo This is the client side installation script for the Integration Tester 
echo Quality Center integration. This should be executed from a command prompt
echo and from the HP ALM QC client folder. The other components packaged with
echo this script must also be contained in the same folder.
echo.
echo The following arguments may be used with this script
echo help    - show the usage 
echo unreg   - unregister the components instead of registering them
echo verbose - show the regsvr32 popup dialog with the status of each call to it
shift
goto end

:gotAllArgs

echo %MESSAGE% component GHExecConfig.ocx
regsvr32 %VERBOSE% %UNREG% GHExecConfig.ocx
echo Done

echo %MESSAGE% component GHResultViewer.ocx
regsvr32 %VERBOSE% %UNREG% GHResultViewer.ocx
echo Done

echo %MESSAGE% component GHScriptViewer.ocx
regsvr32 %VERBOSE% %UNREG% GHScriptViewer.ocx
echo Done

echo %MESSAGE% component GHTestType.dll
regsvr32 %VERBOSE% %UNREG% GHTestType.dll
echo Done

echo %MESSAGE% component mscomctl.ocx
regsvr32 %VERBOSE% %UNREG% mscomctl.ocx
echo Done

echo %MESSAGE% component RICHTX32.ocx
regsvr32 %VERBOSE% %UNREG% RICHTX32.ocx
echo Done

echo %MESSAGE% COM server GHRunAgent.exe
GHRunAgent.exe /%SERVER%
echo Done

:END